# Draw
TKDCAF
DrawDim

# DrawDim_PlanarDimension Class Reference

`#include <DrawDim_PlanarDimension.hxx>`

Inheritance diagram for DrawDim_PlanarDimension:

[legend]

## Public Member Functions

Standard_EXPORT void | SetPlane (const TopoDS_Face &plane)
Standard_EXPORT TopoDS_Face | GetPlane () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Attributes

TopoDS_Face | myPlane

## Member Function Documentation

Standard_EXPORT TopoDS_Face DrawDim_PlanarDimension::GetPlane | ( |  | ) | const

Standard_EXPORT const DrawDim_PlanarDimension::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from DrawDim_Dimension. Reimplemented in DrawDim_PlanarAngle, DrawDim_PlanarDiameter, DrawDim_PlanarDistance, and DrawDim_PlanarRadius.

Standard_EXPORT void DrawDim_PlanarDimension::SetPlane | ( | const TopoDS_Face & | plane | ) |

## Field Documentation

TopoDS_Face DrawDim_PlanarDimension::myPlane `[protected]`

The documentation for this class was generated from the following file:

- DrawDim_PlanarDimension.hxx